Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class FileUploadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.fileupload.FileUploadException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException, FileUploadBase.UnknownSizeException

    public class FileUploadException

extends Exception

Exception for errors encountered while processing the request.

Version:
  $Id: FileUploadException.java 551000 2007-06-27 00:59:16Z jochen $
Author:
  John McNally
See Also:
  Serialized Form

Constructor Summary
`FileUploadException()` Constructs a new `FileUploadException` without message.
`FileUploadException(String msg)` Constructs a new `FileUploadException` with specified detail message.
`FileUploadException(String msg, Throwable cause)` Creates a new `FileUploadException` with the given detail message and cause.

Method Summary
`Throwable` | `getCause()`
`void` | `printStackTrace(PrintStream stream)` Prints this throwable and its backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter writer)` Prints this throwable and its backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadException

    public FileUploadException()

  Constructs a new `FileUploadException` without message.

### FileUploadException

    public FileUploadException(String msg)

  Constructs a new `FileUploadException` with specified detail message.

  Parameters:
    `msg` - the error message.

### FileUploadException

    public FileUploadException(String msg,
                               Throwable cause)

  Creates a new `FileUploadException` with the given detail message and cause.

  Parameters:
    `msg` - The exceptions detail message.
    `cause` - The exceptions cause.

Method Detail

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Prints this throwable and its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `stream` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Prints this throwable and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `Throwable`
  Parameters:
    `writer` - `PrintWriter` to use for output

### getCause

    public Throwable getCause()

  Overrides:
    `getCause` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.